From c68bb75b7f7adfc0528547577ca952d5c4977417 Mon Sep 17 00:00:00 2001
From: Florian Franzmann <bwlf@bandrate.org>
Date: Sun, 1 Dec 2019 18:41:54 +0100
Subject: [PATCH 28/35] Cleanup: use empty() instead of size()

---
 src/CppModel.cpp | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

diff --git a/src/CppModel.cpp b/src/CppModel.cpp
index 2118914..bfc35a2 100644
--- a/src/CppModel.cpp
+++ b/src/CppModel.cpp
@@ -30,18 +30,22 @@ bool Table::contains(const std::string& colname)
 
 std::string Scope::name_column(std::string name)
 {
-	if(prefix().size())
-		return prefix()+"_"+name;
-	else
-		return name;
+	if(!prefix().empty()) {
+    return prefix()+"_"+name;
+  }
+	else {
+    return name;
+  }
 }
 
 std::string Scope::full()
 {
-	if(prefix().size())
-		return table()+"_"+prefix();
-	else
-		return table();
+	if(!prefix().empty()) {
+    return table()+"_"+prefix();
+  }
+	else {
+    return table();
+  }
 }
 
 } //namespace hiberlite
-- 
2.24.0

